/*
** config_scan.h - part of GrabURL 2.0
** Copyright (C) 1996-97 Serge Emond
**
** This program is free software; you can redistribute it and/or
** modify it under the terms of the GNU General Public License
** as published by the Free Software Foundation; either version 2
** of the License, or (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#ifndef CONFIG_SCAN_H
#define CONFIG_SCAN_H 1
#include <stdio.h>
#include "regex.h"

struct Scan_Key {
  struct Scan_Key *next;
  char *key;
};

struct Scan_Ignore {
  struct Scan_Ignore *next;
  char *beg;
  char *end;
};

struct Pat_List {
  struct Pat_List *next;
  regex_t pat;
};

struct Scan_Cfg {
  struct Scan_Key *key;
  struct Scan_Ignore *ignore;
  struct Pat_List *skip;
  struct Pat_List *accept;
  int flags;
};

extern struct Scan_Cfg scan_cfg;

#define SCAN_DIESE_SEARCH               (1<<0)          /* Diese = search */

void cfg_scan_init(void);
int rargs_scan(char **, int);

char *cfg_cmd_key(const char *);
char *cfg_cmd_ignore(const char *);
char *cfg_cmd_diese(const char *);
char *cfg_cmd_skip(const char *);
char *cfg_cmd_pattern(const char *);

#endif
